> ## Documentation Index
> Fetch the complete documentation index at: https://docs.komerza.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Coupons

> Searches the coupons in the store by the given query.
Requires the `stores.coupons.view` permission.

## Filterable Fields

This endpoint supports filtering and sorting. See the [Filtering & Sorting Guide](/api-reference/filtering) for syntax details.

| Field | Type | Description |
| - | - | - |
| `usesFrom` | integer | Filter by minimum number of times coupon has been used |
| `usesTo` | integer | Filter by maximum number of times coupon has been used |
| `maximumUsesFrom` | integer | Filter by minimum maximum uses allowed |
| `maximumUsesTo` | integer | Filter by maximum maximum uses allowed |
| `percentageFrom` | decimal | Filter by minimum percentage discount |
| `percentageTo` | decimal | Filter by maximum percentage discount |
| `amountFrom` | decimal | Filter by minimum amount discount |
| `amountTo` | decimal | Filter by maximum amount discount |
| `isEnabled` | boolean | Filter by whether coupon is enabled |

**Example:**

```bash theme={null}
# Active coupons with 20-50% discount
GET /stores/{storeId}/coupons?filters=isEnabled==true,percentageFrom>=20,percentageTo<=50

# Heavily used coupons
GET /stores/{storeId}/coupons?filters=usesFrom>=100&sorts=-uses
```


## API Specification

The full API specification for this endpoint is available in the [documentation index](https://docs.komerza.com/llms.txt).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.